#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main(){
ios::sync_with_stdio(0);
cin.tie(0);
    int n,m,ans,x2,x1,mn, mx;
    cin >> n >> m;
    int a[n+1];
    int b[m+1];
    int c[m+1];
    int brojPojavljivanja[n+1];
    x1 = 0;
    x2 = 0;
    for(int i=1;i<n+1;++i){
        cin>>a[i];
        brojPojavljivanja[i] = 0;
    }
    mx = a[1];
    mn = mx;
    for(int i=1;i<n+1;++i){
        if(a[i]>mx){
            mx=a[i];
        }
        else{
            if(a[i]<mn){
                mn = a[i];
            }
        }
    }
    for(int i=1;i<m+1;++i){
        cin >> b[i] >> c[i];
        ++brojPojavljivanja[b[i]];
        ++brojPojavljivanja[c[i]];
    }
    ans = 0;
    if((mn < 0 && mx < 0) || (mn > 0 && mx > 0)){
    for(int i=1;i<n+1;++i){
        ans += abs(a[i]*brojPojavljivanja[i]);
        }
    }
    else{
    for(int i=1;i<m+1;++i){
         x1 = abs(a[b[i]]);
         x2 = abs(a[c[i]]);
        if((a[b[i]] >= 0) ^ (a[c[i]]<0)){
            ans += x1+x2;

        }
        else{
            ans += abs(x1-x2);
        }
    }
}
cout << ans << "\n";
    return 0;

}